net.sf.saxon.dom

## Class TextOverAttrInfo

- java.lang.Object
- - net.sf.saxon.dom.NodeOverNodeInfo
  - - net.sf.saxon.dom.TextOverNodeInfo
    - - net.sf.saxon.dom.TextOverAttrInfo

- All Implemented Interfaces:
    CharacterData, Comment, Node, Text

      public class TextOverAttrInfo
      extends TextOverNodeInfo

  This class represents a DOM text node that is the child of a DOM attribute node. The DOM attribute node will be a wrapper over a Saxon attribute node or namespace node.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.dom.NodeOverNodeInfo

      `node`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextOverAttrInfo(AttrOverNodeInfo attr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `compareDocumentPosition(Node other)` Compare the position of the (other) node in document order with the reference node (this node).
    `short` | `getNodeType()` Get the type of this node (node kind, in XPath terminology).
    `Node` | `getParentNode()` Find the parent node of this node.
    `boolean` | `isElementContentWhitespace()` Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace".

    - ### Methods inherited from class net.sf.saxon.dom.TextOverNodeInfo

      `appendData, deleteData, getData, getLength, getWholeText, insertData, replaceData, replaceWholeText, setData, splitText, substringData`

    - ### Methods inherited from class net.sf.saxon.dom.NodeOverNodeInfo

      `appendChild, cloneNode, disallowUpdate, equals, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getTextContent, getUnderlyingNodeInfo, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### TextOverAttrInfo

          public TextOverAttrInfo(AttrOverNodeInfo attr)

  - ### Method Detail

    - #### isElementContentWhitespace

          public boolean isElementContentWhitespace()

      Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace". The text node is determined to contain whitespace in element content during the load of the document or if validation occurs while using `Document.normalizeDocument()`.
      Specified by:
        `isElementContentWhitespace` in interface `Text`
      Overrides:
        `isElementContentWhitespace` in class `TextOverNodeInfo`
      Since:
        DOM Level 3

    - #### getNodeType

          public short getNodeType()

      Get the type of this node (node kind, in XPath terminology). Note, the numbers assigned to node kinds in Saxon (see `Type`) are the same as those assigned in the DOM
      Specified by:
        `getNodeType` in interface `Node`
      Overrides:
        `getNodeType` in class `NodeOverNodeInfo`

    - #### compareDocumentPosition

          public short compareDocumentPosition(Node other)
                                        throws DOMException

      Compare the position of the (other) node in document order with the reference node (this node). DOM Level 3 method.
      Specified by:
        `compareDocumentPosition` in interface `Node`
      Overrides:
        `compareDocumentPosition` in class `NodeOverNodeInfo`
      Parameters:
        `other` - the other node.
      Returns:
        Returns how the node is positioned relatively to the reference node.
      Throws:
        `DOMException`

    - #### getParentNode

          public Node getParentNode()

      Find the parent node of this node.
      Specified by:
        `getParentNode` in interface `Node`
      Overrides:
        `getParentNode` in class `NodeOverNodeInfo`
      Returns:
        The Node object describing the containing element or root node.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.